Package twisted :: Package web :: Module widgets :: Class Presentation |
[show private | hide private]
[frames | no frames]

## Class Presentation

    Widget --+
             |
            Presentation

Known Subclasses:
  `AppConfiguratorPage`, `Test`, `Page`, `Reloader`, `TitleBox`

I am a widget which formats a template with interspersed python expressions.

Method Summary
| `__init__(self, template, filename)`
| `addClassVars(self, namespace, Class)`
| `addVariables(self, namespace, request)`
| ``display`(self, request)` Implement me to represent your widget.
| `formatTraceback(self, tb)`
| `getTitle(self, request)` (inherited from `Widget`)
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page.
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'.

Class Variable Summary
`str` | `template`
`str` | `world`

Method Details

### display(self, request) Implement me to represent your widget. I must return a list of strings and twisted.internet.defer.Deferred instances. Overrides: `twisted.web.widgets.Widget.display` (inherited documentation)

### prePresent(self, request) Perform any tasks which must be done before presenting the page.

### streamCall(self, call, *args, **kw) Utility: Call a method like StreamWidget's 'stream'.

Class Variable Details

    ### template Type: `str` Value:
        '''
            Hello, %%%%world%%%%.
            '''

    ### world Type: `str` Value:
        "you didn't assign to the 'template' attribute"

Generated by Epydoc 1.1 on Thu May 8 13:17:00 2003 | http://epydoc.sf.net